URL structure
{orgGroupId} is the ID of an organisation.
Supported methods and overview
GET- retrieves a summary of information about the file name extensions of all files within an organisation (specified byorgGroupId).
This method takes no parameters.
Detailed description
This API endpoint retrieves a summary of information about the file name extensions of all files within an organisation (specified byorgGroupId).
The information returned by this API endpoint is utilised on the Organisation Administration dashboard.
Supported roles and conditions
This API endpoint supports the following Cocoon Data user roles (as described in the Organisation Administrator’s Guide):- Organisation administrator - when this user is a member of the organisation whose ID is specified by
{orgGroupId}in the request’s URL.
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
For successful requests only, a JSON-formatted response containing the following members is also returned:
-
organisationId - The ID of the organisation (which should match
{orgGroupId}specified in the request’s URL). -
objectsCount - The total number of file objects in the organisation (specified by
orgGroupId). -
breakdownByExtension - An array containing information about the file name extensions of all files in the organisation (specified by
orgGroupId). Each element of this array contains information about one of these file name extensions and is represented as an object, containing the following members:- extensionType - The extension itself.
- objectsCount - The number of file objects possessing this file name extension.
- percentageOfAllObjects - The percentage of this objectsCount value (immediately above) as a proportion of the parent objectsCount value (i.e. for the total number of file objects in the organisation).

